<html>
    <head>
        <title>
            Comandos em shell
        </title>
        <meta charset="UTF-8">
        <link href="../css/estilo.css" rel="stylesheet" type="text/css"/>
    </head>
    <body>
        <h2 class="titulo_comando" id="pwd">pwd</h2>
        <hr class="sombra" />
        <h4>Sintax:</h4> 
        <div class="prompt sombra">
            <span class="maquina">usuario@maquina</span> <span class="home">~/</span> $ pwd
        </div>

        <p class="descricao_comando">O pwd (print working directory) é um comando que imprime o nome do diretório local em uma interface de linha de comando. Este comando é encontrado nos sistemas operacionais da família Unix.</p>

        <h4>Exemplo:</h4> 

        <div class="container">
            <img src="img/pwd.jpg"  class="image" alt="pwd"/>
            <div class="overlay">
                <div class="text">$ pwd</div>
            </div>
        </div>

        <h2 class="titulo_comando" id="cd" style="margin-top: 60px;">cd</h2>
        <hr class="sombra" />
        <h4>Sintax:</h4> 
        <div class="prompt sombra">
            <span class="maquina">usuario@maquina</span> <span class="home">~/</span> $ cd &lt;diretorio&gt;
        </div>

        <p class="descricao_comando">
            O cd, também conhecido por chdir, é um comando implementado em interfaces de linha de comandos de diversos sistemas operacionais (Unix ou qualquer um do tipo Unix, DOS, Windows, OS/2 e AmigaOS). Seu nome é um acrônimo da expressão inglesa change directory ("mudar diretório") e sua finalidade é, como sugere seu nome, mudar o diretório atual de trabalho (isto é, o diretório em que se está) para uma outra especificada.
        </p>

        <h4>Exemplo:</h4> 

        <div class="container">
            <img src="img/cd.jpg"  class="image" alt="cd"/>
            <div class="overlay">
                <div class="text">$ cd &lt;diretorio&gt;</div>
            </div>
        </div>
        <h2 class="titulo_comando" id="rm" style="margin-top: 60px;">rm</h2>
        <hr class="sombra" />
        <h4>Sintax:</h4> 
        <div class="prompt sombra">
            <span class="maquina">usuario@maquina</span> <span class="home">~/</span> $ rm &lt;arquivo&gt;
        </div>

        <p class="descricao_comando">
            O comando rm do sistema operacional Unix é usado para apagar arquivos[1][2]. É uma forma curta de se referir a remove (remover), é semelhante ao del no MS-DOS[3]. Requer muito cuidado com o comando rm* pois apaga tudo sem confirmação por padrão.
        </p>

        <h4>Exemplo:</h4> 

        <div class="container">
            <img src="img/cd.jpg"  class="cd" alt="rm"/>
            <div class="overlay">
                <div class="text">$ rm &lt;arquivo&gt;</div>
            </div>
        </div>

        <h2 class="titulo_comando" id="rmdir" style="margin-top: 60px;">rmdir</h2>
        <hr class="sombra" />
        <h4>Sintax:</h4> 
        <div class="prompt sombra">
            <span class="maquina">usuario@maquina</span> <span class="home">~/</span> $ rmdir &lt;diretorio&gt;
        </div>

        <p class="descricao_comando">
            O comando rmdir é usado no sistema operacional Unix e DOS para remover diretórios vazios. O diretório tem que estar vazio antes de ser excluído. Para exclusão do diretório e todos seus arquivos deve-se utilizar os parâmetros -Rf.
        </p>

        <h4>Exemplo:</h4> 

        <div class="container">
            <img src="img/rmdir.jpg"  class="image" alt="rmdir"/>
            <div class="overlay">
                <div class="text">$ rm &lt;arquivo&gt;</div>
            </div>
        </div>


        <h2 class="titulo_comando" id="touch" style="margin-top: 60px;">touch</h2>
        <hr class="sombra" />
        <h4>Sintax:</h4> 
        <div class="prompt sombra">
            <span class="maquina">usuario@maquina</span> <span class="home">~/</span> $ touch &lt;arquivo&gt;
        </div>

        <p class="descricao_comando">
            O Comando touch do Linux é usado principalmente para criar arquivos vazios, além de alterar o registro de data e hora (timestamp) de arquivos ou pastas.
        </p>

        <h4>Exemplo:</h4> 

        <div class="container">
            <img src="img/touch.jpg"  class="image" alt="touch"/>
            <div class="overlay">
                <div class="text">$ touch &lt;arquivo&gt;</div>
            </div>
        </div>

        <h2 class="titulo_comando"  id="clear" style="margin-top: 60px;">clear</h2>
        <hr class="sombra" />
        <h4>Sintax:</h4> 
        <div class="prompt sombra">
            <span class="maquina">usuario@maquina</span> <span class="home">~/</span> $ clear
        </div>

        <p class="descricao_comando">
            O comando clear limpa o conteúdo da tela de um terminal virtual. O comando não necessita de parâmetros, ele utiliza variáveis do ambiente de trabalho atual para determinar como limpar a tela.
        </p>

        <h4>Exemplo:</h4> 

        <div class="container">
            <img src="img/clear.jpg"  class="image" alt="clear"/>
            <div class="overlay">
                <div class="text">$ clear</div>
            </div>
        </div>


        <h2 class="titulo_comando" id="ls" style="margin-top: 60px;">ls</h2>
        <hr class="sombra" />
        <h4>Sintax:</h4> 
        <div class="prompt sombra">
            <span class="maquina">usuario@maquina</span> <span class="home">~/</span> $ ls [parametros]
        </div>

        <p class="descricao_comando">
            O comando ls (derivado das primeiras consoantes da palavra inglesa list) é um comando usado para listar arquivos e diretórios. Sua função é análoga ao comando dir do MS-DOS. Para listar todos os arquivos incluindo os ocultos deve-se usar os parâmetros –la.
        </p>

        <h4>Exemplo:</h4> 

        <div class="container">
            <img src="img/ls.jpg"  class="image" alt="ls"/>
            <div class="overlay">
                <div class="text">$ ls [parametros]</div>
            </div>
        </div>

        <h2 class="titulo_comando" id="cp" style="margin-top: 60px;">cp</h2>
        <hr class="sombra" />
        <h4>Sintax:</h4> 
        <div class="prompt sombra">
            <span class="maquina">usuario@maquina</span> <span class="home">~/</span> $ cp &lt;origem&gt; &lt;destino&gt;
        </div>

        <p class="descricao_comando">
            O comando cp é usado para copiar arquivos e diretórios. O comando possui três modos de operação, definido pelos tipos de argumentos passados ao programa: copiar um arquivo para outro arquivo, copiar um ou mais arquivos para um diretório, ou copiar diretórios inteiros para outro diretório.
        </p>

        <h4>Exemplo:</h4> 

        <div class="container">
            <img src="img/cp.jpg"  class="image" alt="cp"/>
            <div class="overlay">
                <div class="text">$ cp &lt;origem&gt; &lt;destino&gt;</div>
            </div>
        </div>
        
         <h2 class="titulo_comando" id="mv" style="margin-top: 60px;">mv</h2>
        <hr class="sombra" />
        <h4>Sintax:</h4> 
        <div class="prompt sombra">
            <span class="maquina">usuario@maquina</span> <span class="home">~/</span> $ mv  &lt;origem&gt; &lt;destino&gt;
        </div>

        <p class="descricao_comando">
            O comando mv  dos sistemas operacionais unix move e renomeia um ou mais arquivos ou diretórios de um lugar para outro. Ou seja, ele copia e modifica o caminho do arquivo original para o caminho desejado e então apaga o arquivo original (assim sendo possível renomear e mudar o diretório de um arquivo simultaneamente).
        </p>

        <h4>Exemplo:</h4> 

        <div class="container">
            <img src="img/mv.jpg"  class="image" alt="mv"/>
            <div class="overlay">
                <div class="text text_big">$ mv  &lt;origem&gt; &lt;destino&gt;</div>
            </div>
        </div>


        <h2 class="titulo_comando" id="ln" style="margin-top: 60px;">ln</h2>
        <hr class="sombra" />
        <h4>Sintax:</h4> 
        <div class="prompt sombra">
            <span class="maquina">usuario@maquina</span> <span class="home">~/</span> $ ln -s &lt;origem&gt; &lt;destino&gt;
        </div>

        <p class="descricao_comando">
            O comando ln é usado para criar uma ligação (atalho ou link simbólico como é mais conhecido) entre arquivos do sistema de arquivos. As ligações permitem que um mais de um arquivo refira à mesma área de armazenamento. Diferem-se em ligações simbólicas (indicam um caminho simbólico (abstrato) para o outro artigo) e ligações rígidas (indicam um caminho específico do dispositivo físico de armazenamento). Enquanto as ligações simbólicas não são atualizadas quando a origem é movida ou removida, as ligações rígidas tomam conhecimento de tais ações e são atualizadas.
        </p>

        <h4>Exemplo:</h4> 

        <div class="container">
            <img src="img/ln.jpg"  class="image" alt="ln"/>
            <div class="overlay">
                <div class="text">$ ln -s &lt;origem&gt; &lt;destino&gt;</div>
            </div>
        </div>

        <h2 class="titulo_comando" id="cat" style="margin-top: 60px;">cat</h2>
        <hr class="sombra" />
        <h4>Sintax:</h4> 
        <div class="prompt sombra">
            <span class="maquina">usuario@maquina</span> <span class="home">~/</span> $ cat &lt;arquivo&gt;
        </div>

        <p class="descricao_comando">
            O comando cat serve para escrever arquivos de texto, exibir (mostrar na tela) seu conteúdo ou ainda concatenar (juntar) dois arquivos de texto.
        </p>

        <h4>Exemplo:</h4> 

        <div class="container">
            <img src="img/cat.jpg"  class="image" alt="cat"/>
            <div class="overlay">
                <div class="text text_big">$ cat &lt;arquivo&gt;</div>
            </div>
        </div>

        <h2 class="titulo_comando" id="head" style="margin-top: 60px;">head</h2>
        <hr class="sombra" />
        <h4>Sintax:</h4> 
        <div class="prompt sombra">
            <span class="maquina">usuario@maquina</span> <span class="home">~/</span> $ head &lt;arquivo&gt;
        </div>

        <p class="descricao_comando">
            O comando head do sistema operacional Unix é utilizado para exibir apenas as primeiras linhas de um arquivo texto. Para mostrar uma quantidade especifica de linhas utilize o parâmetro –n &lt;numero de linhas&gt;.
        </p>

        <h4>Exemplo:</h4> 

        <div class="container">
            <img src="img/cat.jpg"  class="image" alt="cat"/>
            <div class="overlay">
                <div class="text text_big">$ head &lt;arquivo&gt;</div>
            </div>
        </div>


        <h2 class="titulo_comando" id="tail" style="margin-top: 60px;">tail</h2>
        <hr class="sombra" />
        <h4>Sintax:</h4> 
        <div class="prompt sombra">
            <span class="maquina">usuario@maquina</span> <span class="home">~/</span> $ tail &lt;arquivo&gt;
        </div>

        <p class="descricao_comando">
            O comando tail do sistema operacional Unix é utilizado para exibir apenas as ultimas linhas de um arquivo texto. Para mostrar uma quantidade especifica de linhas utilize o parâmetro –n &lt;numero de linhas&gt;.

        </p>

        <h4>Exemplo:</h4> 

        <div class="container">
            <img src="img/tail.jpg"  class="image" alt="tail"/>
            <div class="overlay">
                <div class="text text_big">tail &lt;arquivo&gt;</div>
            </div>
        </div>

        <h2 class="titulo_comando" id="ps" style="margin-top: 60px;">ps</h2>
        <hr class="sombra" />
        <h4>Sintax:</h4> 
        <div class="prompt sombra">
            <span class="maquina">usuario@maquina</span> <span class="home">~/</span> $ ps [parâmetros]
        </div>

        <p class="descricao_comando">
            O comando ps é um comando do sistema operacional Unix e outros semelhantes utilizado para mostrar os processos em execução.
        </p>

        <h4>Exemplo:</h4> 

        <div class="container">
            <img src="img/ps.jpg"  class="image" alt="ps"/>
            <div class="overlay">
                <div class="text text_big">$ ps [parâmetros]</div>
            </div>
        </div>
        
    </body>
</html>
